%define upstream_name    MediaWiki-API
%define upstream_version 0.37

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A OO interface to the Mediawiki API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/MediaWiki/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(JSON)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This module provides an interface between Perl and the MediaWiki API (http://www.mediawiki.org/wiki/API) allowing creation of scripts to automate editing and extraction of data from MediaWiki driven sites like Wikipedia.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes META.yml LICENSE
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Dec 03 2011 kharec <kharec> 0.370.0-1.mga2
+ Revision: 175366
- imported package perl-MediaWiki-API


* Sat Dec 03 2011 cpan2dist 0.37-1mga
- initial mageia release, generated with cpan2dist
